I'm trying to build gcc 4.1.0 crosscompiler for arm. It fails with:

crosstool: binutils built ok
+ echo 'Install glibc headers needed to build bootstrap compiler -- but
only if gcc-3.x'
Install glibc headers needed to build bootstrap compiler -- but only if
gcc-3.x
+ grep -q 'gcc-[34]'
/home/nfs/yan/cross/crosstool-0.43/build/arm-linux/gcc-4.1.0-glibc-2.6.1/gcc-4.1.0/ChangeLog+
test '!' -f
/opt/crosstool/gcc-4.1.0-glibc-2.6.1/arm-linux/arm-linux/sys-root/usr/include/features.h
+ mkdir -p build-glibc-headers
+ cd build-glibc-headers
+ test '!' -f Makefile
+ libc_cv_ppc_machine=yes
+ CC=gcc
+
/home/nfs/yan/cross/crosstool-0.43/build/arm-linux/gcc-4.1.0-glibc-2.6.1/glibc-2.6.1/configure
--prefix=/usr --build=x86_64-unknown-linux-gnu --host=arm-linux
--without-cvs --disable-sanity-checks
--with-headers=/opt/crosstool/gcc-4.1.0-glibc-2.6.1/arm-linux/arm-linux/sys-root/usr/include
--enable-hacker-mode
checking build system type... x86_64-unknown-linux-gnu
checking host system type... arm-unknown-linux-gnu
configure: running configure fragment for add-on linuxthreads
+ grep -q GLIBC_2.3
/home/nfs/yan/cross/crosstool-0.43/build/arm-linux/gcc-4.1.0-glibc-2.6.1/glibc-2.6.1/C
hangeLog
+ libc_cv_ppc_machine=yes
+ make cross-compiling=yes
install_root=/opt/crosstool/gcc-4.1.0-glibc-2.6.1/arm-linux/arm-linux/sys-root
CFLAGS=-DBOOTSTRAP_GCC install-headers
make: *** No rule to make target `install-headers'. Stop.

I've build several toolchains before but with gcc 3.x and older glibc.
Can anyone shed some light on this?

--Yan